org.apache.ignite.internal.processors.tracing.messages

## Class TraceableMessagesTable

- java.lang.Object
- - org.apache.ignite.internal.processors.tracing.messages.TraceableMessagesTable

    public class TraceableMessagesTable
    extends Object

Mapping from traceable message to appropriate trace.

See Also:
  `inheritors.`

### Method Summary

All Methods Static Methods Concrete Methods
`static SpanType` `traceName(Class<? extends TraceableMessage> msgCls)`
`static String` `traceName(Object obj)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### traceName

    public static SpanType traceName(Class<? extends TraceableMessage> msgCls)

Parameters:
  `msgCls` - Traceable message class.
Returns:
  Trace name associated with message with given class.

#### traceName

    public static String traceName(Object obj)

Parameters:
  `obj` - Traceable message object.
Returns:
  Trace name associated with message with given class.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.0
Release Date | : October 15 2020